﻿<?xml version="1.0" encoding="utf-8" ?>
<pages:PopupPage
    xmlns:pages="clr-namespace:Rg.Plugins.Popup.Pages;assembly=Rg.Plugins.Popup" xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
    xmlns:animations="clr-namespace:Rg.Plugins.Popup.Animations;assembly=Rg.Plugins.Popup"
    xmlns:translate="clr-namespace:Khreje.Helpers"
    xmlns:buttons="clr-namespace:Syncfusion.XForms.Buttons;assembly=Syncfusion.Buttons.XForms"
    xmlns:numeric="clr-namespace:Syncfusion.SfNumericUpDown.XForms;assembly=Syncfusion.SfNumericUpDown.XForms"
    FlowDirection="LeftToRight"
    x:Class="Khreje.Views.PopupEditItem">
    <pages:PopupPage.Animation>
        <animations:ScaleAnimation 
            PositionIn="Center"
            PositionOut="Center"
            ScaleIn="1.2"
            ScaleOut="0.8"
            DurationIn="400"
            DurationOut="300"
            EasingIn="SinOut"
            EasingOut="SinIn"
            HasBackgroundAnimation="True"/>
    </pages:PopupPage.Animation>
    <!--You can use any elements here which are extended from Xamarin.Forms.View-->
    <StackLayout
        BindingContext="{Binding Lang}"
        Orientation="Vertical"
        VerticalOptions="CenterAndExpand" 
        HorizontalOptions="CenterAndExpand" 
        Padding="20, 20, 20, 20"
        BackgroundColor="WhiteSmoke">
        <Button Image="bin" HorizontalOptions="EndAndExpand"
                HeightRequest="40"
                WidthRequest="40"
                BackgroundColor="BlueViolet"
                CornerRadius="20"
                Clicked="OnDeleteItem"/>

        <StackLayout Orientation="Horizontal">
            <Image Source="size"
                           HeightRequest="30"
                           WidthRequest="30" />
            <Label Text="{translate:Translate SizeInfo}" />
        </StackLayout>
        <buttons:SfSegmentedControl
                    x:Name="SizedList"
                    SelectionTextColor = "White"
                    HeightRequest="40"
                    VisibleSegmentsCount="6"
                    Color="Transparent" 
                    BorderColor="#929292"
                    FontColor="#929292"
                    BackgroundColor="Transparent"
                    ItemsSource="{Binding Sizes}"
                    SelectedIndex="{Binding SelectedSize}"/>
        <Label Text="{translate:Translate Qty}"/>
        <numeric:SfNumericUpDown x:Name="numericUpDown"  ParsingMode="Decimal"  FormatString="n"
                                             Minimum="1" Maximum="12"/>
        <Button
                VerticalOptions="CenterAndExpand"
                HorizontalOptions="CenterAndExpand"
                BorderRadius="18"
                Text="{translate:Translate Accept}"
                TextColor="#326b9f"
                BackgroundColor="#f8af2d"
                WidthRequest="140"
                HeightRequest="40"
                Clicked="Button_Clicked_1"/>

    </StackLayout>
</pages:PopupPage>